# vim: set sw=4 ts=4 et nu:
# norootforbuild

Name:           perl-App-SVN-Bisect
Version:        1.1
Release:        3.1
Summary:        Perl module to perform binary searches on SVN checkouts
Source:         http://search.cpan.org/CPAN/authors/id/I/IN/INFINOID/App-SVN-Bisect-%{version}.tar.gz
URL:            http://search.cpan.org/dist/App-SVN-Bisect
Group:          Development/Libraries/Perl
License:        Artistic License 2.0
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.35
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(IO::All)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(YAML::Syck)
BuildRequires:  perl(Test::Output)
BuildRequires:  subversion
Requires:       perl(IO::All)
Requires:       perl(Test::Exception)
Requires:       perl(YAML::Syck)
Requires:       perl(Test::Output)
Requires:       subversion

%description
This tool's purpose is to help you determine which revision of a subversion
repository contains a change. It does this by employing a binary search. It
will manage the current revision of your checkout directory, and narrow in on
the target revision, as you give it clues about the current revision such as
"before" (this revision is before the one you want) or "after" (this revision
is after the one you want).

%package -n svn-bisect
Summary:        Tool to perform binary searches on SVN checkouts
Group:          Development/Tools/Version Control
Requires:       %{name} = %{version}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description -n svn-bisect
This tool's purpose is to help you determine which revision of a subversion
repository contains a change. It does this by employing a binary search. It
will manage the current revision of your checkout directory, and narrow in on
the target revision, as you give it clues about the current revision such as
"before" (this revision is before the one you want) or "after" (this revision
is after the one you want).

%prep
%setup -q -n "App-SVN-Bisect-%{version}"

%build
%__perl ./Build.PL
./Build

%install
./Build pure_install --destdir "%{buildroot}" --installdirs vendor
%perl_process_packlist

%check
./Build test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%dir %{perl_vendorlib}/App
%dir %{perl_vendorlib}/App/SVN
%{perl_vendorlib}/App/SVN/Bisect.pm
%dir %{perl_vendorarch}/auto/App
%dir %{perl_vendorarch}/auto/App/SVN
%{perl_vendorarch}/auto/App/SVN/Bisect
%doc %{perl_man3dir}/App::SVN::Bisect.%{perl_man3ext}%{ext_man}

%files -n svn-bisect
%defattr(-,root,root)
%{_bindir}/svn-bisect
%doc %{_mandir}/man1/svn-bisect.1%{ext_man}

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Aug 29 2010 pascal.bleser@opensuse.org
- initial package (1.1)
